import Vue from 'vue'
import Router from 'vue-router'
import dash from '@/pages/dash/dash'
import index from '@/dash/index/index'

Vue.use(Router)

export default new Router({
  mode: 'history',
  routes: [{
    path: '/dash',
    component: dash,
    children: [{
      name: 'index',
      path: 'index',
      component: index
    }, {
      name: 'index-id',
      path: 'index/:id',
      component: index
    }]
  }, {
    path: '*',
    redirect: '/dash/index'
  }]
})
